<?php


namespace Drupal\xtclorem\XtendedContent\API;


use Drupal\Component\Serialization\Json;
use Drupal\xtc\XtendedContent\API\XtcLoaderProfile;

class Lorem {

  public static function getLorem($profile) {
    $lorem = Json::decode(XtcLoaderProfile::content($profile));
    return $lorem['text_out'];
  }

  public static function getRawLorem($profile) {
    $lorem = Json::decode(XtcLoaderProfile::content($profile));
    return strip_tags($lorem['text_out']);
  }

  public static function getTitle() {
    return self::getLorem('tiny');
  }
  public static function getTiny() {
    return self::getRawLorem('tiny');
  }
  public static function getShort() {
    return self::getRawLorem('short');
  }
  public static function getMedium() {
    return self::getRawLorem('medium');
  }
  public static function getLong() {
    return self::getRawLorem('long');
  }
  public static function getVeryLong() {
    return self::getRawLorem('verylong');
  }

  public static function getPlaintext() {
    return XtcLoaderProfile::content('plaintext');
  }

}
